<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum UserRole: string
{
    use HasValues;

    case Mahasiswa = 'mahasiswa';
    case Dosen = 'dosen';
    case Kaprodi = 'kaprodi';
    case StaffAdmin = 'staff-admin';
    case StaffKeuangan = 'staff-keuangan';
    case Developer = 'developer';

    public function label(): string
    {
        return match ($this) {
            self::Mahasiswa => 'Mahasiswa',
            self::Dosen => 'Dosen',
            self::Kaprodi => 'Ketua Program Studi',
            self::StaffAdmin => 'Staff Admin',
            self::StaffKeuangan => 'Staff Keuangan',
            self::Developer => 'Developer',
        };
    }
}
